
import cv2
import numpy as np
from PySide6.QtGui import QImage,QPixmap

def bgr_to_qpixmap(bgr):
    """BGR形式の画像をQPixmapに変換する
    
    Notes:
        - OpenCVはBGR形式、QtはRGB形式を使うため変換が必要
        - 画像のサイズやフォーマットに応じて適切にスケーリングする必要がある
    """
    rgb: np.ndarray = cv2.cvtColor(bgr, cv2.COLOR_BGR2RGB)
    h, w, ch = rgb.shape
    qimg = QImage(rgb.data, w, h, ch*w, QImage.Format.Format_RGB888)
    return QPixmap.fromImage(qimg)
